Update the current organization
Updates the current organization's profile, regional defaults, and reply-to default and returns the saved organization.
Updates the current organization's profile, regional defaults, and reply-to default and returns the saved organization. metadata is merged into the stored value; every other field is replaced.
Authorization
apiKey In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/organizations/current" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "billingAccountId": "string", "name": "string", "slug": "string", "defaultRegion": "string", "timezone": "string", "plan": "string", "isActive": true, "createdAt": "string", "updatedAt": "string", "metadata": { "property1": "string", "property2": "string" }, "replyToDefault": [ "string" ], "emailFooterEnabledDefault": true, "messagesUsed": 0, "messagesUsedThisMonth": 0, "emailUsed": 0, "emailUsedThisMonth": 0, "contactsUsed": 0, "conversationsUsed": 0, "teamMembersUsed": 0, "messagesResetAt": "string"}Related documentation
Get organization usage
Returns usage statistics for the current organization between `after` and `before`, which default to the current calendar month so far.
Get an asynchronous operation
Returns one asynchronous operation from the active organization. Use this endpoint to get an asynchronous operation through the Samva email API.